org.apache.tinkerpop.gremlin.driver.ser

## Class GryoMessageSerializerV3d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer<org.apache.tinkerpop.shaded.kryo.Kryo>
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGryoMessageSerializerV3d0
    - - org.apache.tinkerpop.gremlin.driver.ser.GryoMessageSerializerV3d0

- All Implemented Interfaces:
    MessageSerializer<org.apache.tinkerpop.shaded.kryo.Kryo>

  Deprecated.
  As of release 3.4.3, replaced by `GraphBinaryMessageSerializerV1`.

      @Deprecated
      public final class GryoMessageSerializerV3d0
      extends AbstractGryoMessageSerializerV3d0

  The standard Gryo serializer that uses "detached" graph elements during serialization. Detached elements such as `DetachedVertex` include the label and the properties associated with it which could be more costly for network serialization purposes.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGryoMessageSerializerV3d0

      `serializeToString, TOKEN_BUFFER_SIZE, TOKEN_CLASS_RESOLVER_SUPPLIER, TOKEN_CUSTOM, TOKEN_SERIALIZE_RESULT_TO_STRING`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `TOKEN_IO_REGISTRIES`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.driver.MessageSerializer

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GryoMessageSerializerV3d0()` Deprecated. Creates an instance with a standard `GryoMapper` instance.
    `GryoMessageSerializerV3d0(GryoMapper.Builder kryo)` Deprecated. Creates an instance with a standard `GryoMapper` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `mimeTypesSupported()` Deprecated. The list of mime types that the serializer supports.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGryoMessageSerializerV3d0

      `configure, deserializeRequest, deserializeResponse, getMapper, serializeRequestAsBinary, serializeResponseAsBinary`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `addIoRegistries, getListStringFromConfig, tryInstanceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GryoMessageSerializerV3d0

          public GryoMessageSerializerV3d0()

      Deprecated.
      Creates an instance with a standard `GryoMapper` instance.

    - #### GryoMessageSerializerV3d0

          public GryoMessageSerializerV3d0(GryoMapper.Builder kryo)

      Deprecated.
      Creates an instance with a standard `GryoMapper` instance. Note that the instance created by the supplied builder will be overridden by `AbstractGryoMessageSerializerV3d0.configure(java.util.Map<java.lang.String, java.lang.Object>, java.util.Map<java.lang.String, org.apache.tinkerpop.gremlin.structure.Graph>)` if it is called.

  - ### Method Detail

    - #### mimeTypesSupported

          public String[] mimeTypesSupported()

      Deprecated.
      Description copied from interface: `MessageSerializer`
      The list of mime types that the serializer supports.

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.